wxWidgets: wxFileOutputStream Class Reference

| Version: 3.1.5

Public Member Functions | List of all members
wxFileOutputStream Class Reference
Class List by Category » Streams

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/wfstream.h>`

Inheritance diagram for wxFileOutputStream:
[legend]

## Detailed Description

This class represents data written to a file.

There are actually two such groups of classes: this one is based on wxFile whereas wxFFileOutputStream is based in the wxFFile class.

Note that wxOutputStream::SeekO() can seek beyond the end of the stream (file) and will thus not return wxInvalidOffset for that.

##

Library: wxBase

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxBufferedOutputStream, wxFileInputStream, wxFFileOutputStream, wxFFileInputStream

## Public Member Functions
| wxFileOutputStream (const wxString &ofileName)
| Creates a new file with ofileName name and initializes the stream in write-only mode. More...
| wxFileOutputStream (wxFile &file)
| Initializes a file stream in write-only mode using the file I/O object file. More...
| wxFileOutputStream (int fd)
| Initializes a file stream in write-only mode using the file descriptor fd. More...
virtual | ~wxFileOutputStream ()
| Destructor. More...
bool | IsOk () const
| Returns true if the stream is initialized and ready. More...
wxFile * | GetFile () const
| Returns the underlying file object. More...
Public Member Functions inherited from wxOutputStream
| wxOutputStream ()
| Creates a dummy wxOutputStream object. More...
virtual | ~wxOutputStream ()
| Destructor. More...
virtual bool | Close ()
| Closes the stream, returning false if an error occurs. More...
virtual size_t | LastWrite () const
| Returns the number of bytes written during the last Write(). More...
void | PutC (char c)
| Puts the specified character in the output queue and increments the stream position. More...
virtual wxFileOffset | SeekO (wxFileOffset pos, wxSeekMode mode=wxFromStart)
| Changes the stream current position. More...
virtual wxFileOffset | TellO () const
| Returns the current stream position. More...
virtual wxOutputStream & | Write (const void *buffer, size_t size)
| Writes up to the specified amount of bytes using the data of buffer. More...
wxOutputStream & | Write (wxInputStream &stream_in)
| Reads data from the specified input stream and stores them in the current stream. More...
bool | WriteAll (const void *buffer, size_t size)
| Writes exactly the specified number of bytes from the buffer. More...
Public Member Functions inherited from wxStreamBase
| wxStreamBase ()
| Creates a dummy stream object. More...
virtual | ~wxStreamBase ()
| Destructor. More...
wxStreamError | GetLastError () const
| This function returns the last error. More...
virtual wxFileOffset | GetLength () const
| Returns the length of the stream in bytes. More...
virtual size_t | GetSize () const
| This function returns the size of the stream. More...
virtual bool | IsSeekable () const
| Returns true if the stream supports seeking to arbitrary offsets. More...
void | Reset (wxStreamError error=wxSTREAM_NO_ERROR)
| Resets the stream state. More...
bool | operator! () const
| Returns the opposite of IsOk(). More...

## Additional Inherited Members
Protected Member Functions inherited from wxOutputStream
size_t | OnSysWrite (const void *buffer, size_t bufsize)
| Internal function. More...
Protected Member Functions inherited from wxStreamBase
virtual wxFileOffset | OnSysSeek (wxFileOffset pos, wxSeekMode mode)
| Internal function. More...
virtual wxFileOffset | OnSysTell () const
| Internal function. More...

## Constructor & Destructor Documentation

## ◆ wxFileOutputStream() [1/3]

wxFileOutputStream::wxFileOutputStream | ( | const wxString & | ofileName | ) |

Creates a new file with ofileName name and initializes the stream in write-only mode.

Warning
  You should use wxStreamBase::IsOk() to verify if the constructor succeeded.

## ◆ wxFileOutputStream() [2/3]

wxFileOutputStream::wxFileOutputStream | ( | wxFile & | file | ) |

Initializes a file stream in write-only mode using the file I/O object file.

## ◆ wxFileOutputStream() [3/3]

wxFileOutputStream::wxFileOutputStream | ( | int | fd | ) |

Initializes a file stream in write-only mode using the file descriptor fd.

## ◆ ~wxFileOutputStream()

virtual wxFileOutputStream::~wxFileOutputStream | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ GetFile()

wxFile * wxFileOutputStream::GetFile | ( |  | ) | const

Returns the underlying file object.

Since
  2.9.5

## ◆ IsOk()

bool wxFileOutputStream::IsOk | ( |  | ) | const
| virtual

Returns true if the stream is initialized and ready.

Reimplemented from wxStreamBase.

Reimplemented in wxFileStream.